
GammaLib - Bug #2866

RADECSYS keyword missing in skymaps/cubes created by GammaLib

04/08/2019 05:41 PM - Tibaldo Luigi

Status: Closed Start date: 04/08/2019

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.6.0   

Description

This can create problems when read using external software such as ds9.

History

#1 - 04/08/2019 05:45 PM - Tibaldo Luigi

- File gamma_cygni_maps.png added

Issue found by Giovanni Piano when simulating gamma Cygni

 

Maps 1 and 3 in celestial coordinates show a shift w.r.t. the simulated disk (green). Maps in galactic coordinates (2 e 4) match expectations.

#2 - 04/08/2019 10:12 PM - Knödlseder Jürgen

- Status changed from New to Pull request

- % Done changed from 0 to 100

I added some code to the GWcs class that sets the m_radesys and m_equinox members if they were not yet set. This leads now to the attachment of

the RADESYS=ICRS keyword to the FITS header. Hope this solves the issue.

#3 - 04/09/2019 09:32 AM - Knödlseder Jürgen

- File Crab_50h_93600s_MAPCUBE_Gal.png added

- File comparison.png added

- Status changed from Pull request to Feedback

Here a comparison of the map generate with ctmapcube to the input map. Top is the original comparison by Giovanni Piano, bottom is a comparison I

did after changing the code. Both images, displayed with ds9, now match.
#4 - 04/29/2019 10:53 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed

No feedback probably means that issue was solved ;-)

Close issue now.

Files

gamma_cygni_maps.png 405 KB 04/08/2019 Tibaldo Luigi

Crab_50h_93600s_MAPCUBE_Gal.png 87.1 KB 04/09/2019 Knödlseder Jürgen

comparison.png 196 KB 04/09/2019 Knödlseder Jürgen
